PageDataImpl (Jasper Internal API Documentation)
Keywords: org.apache.jasper.compiler.PageDataImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class PageDataImpl

    java.lang.Object
      javax.servlet.jsp.tagext.PageData
          org.apache.jasper.compiler.PageDataImpl

All Implemented Interfaces:
  TagConstants

public class PageDataImpl
extends javax.servlet.jsp.tagext.PageData
implements TagConstants

An implementation of `javax.servlet.jsp.tagext.PageData` which builds the XML view of a given page. The XML view is built in two passes: During the first pass, the FirstPassVisitor collects the attributes of the top-level jsp:root and those of the jsp:root elements of any included pages, and adds them to the jsp:root element of the XML view. In addition, any taglib directives are converted into xmlns: attributes and added to the jsp:root element of the XML view. This pass ignores any nodes other than JspRoot and TaglibDirective. During the second pass, the SecondPassVisitor produces the XML view, using the combined jsp:root attributes determined in the first pass and any remaining pages nodes (this pass ignores any JspRoot and TaglibDirective nodes).

Author:
  Jan Luehe

Field Summary

Fields inherited from interface org.apache.jasper.compiler.TagConstants
`JSP_DECLARATION_TAG, JSP_DECLARATION_TAG_END, JSP_DECLARATION_TAG_START, JSP_EXPRESSION_TAG, JSP_EXPRESSION_TAG_END, JSP_EXPRESSION_TAG_START, JSP_FALLBACK_TAG, JSP_FORWARD_TAG, JSP_GET_PROPERTY_TAG, JSP_INCLUDE_DIRECTIVE_TAG, JSP_INCLUDE_TAG, JSP_PAGE_DIRECTIVE_TAG, JSP_PARAM_TAG, JSP_PARAMS_TAG, JSP_PLUGIN_TAG, JSP_ROOT_TAG, JSP_ROOT_TAG_END, JSP_SCRIPTLET_TAG, JSP_SCRIPTLET_TAG_END, JSP_SCRIPTLET_TAG_START, JSP_SET_PROPERTY_TAG, JSP_TEXT_TAG, JSP_TEXT_TAG_END, JSP_TEXT_TAG_START, JSP_USE_BEAN_TAG`

Constructor Summary
`PageDataImpl(Node.Nodes page)` Constructor.

Method Summary
`java.io.InputStream` | `getInputStream()` Returns the input stream of the XML view.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageDataImpl

    public PageDataImpl(Node.Nodes page)
                 throws JasperException

  Constructor.

Parameters:
  `page` - the page nodes from which to generate the XML view

Method Detail

### getInputStream

    public java.io.InputStream getInputStream()

  Returns the input stream of the XML view.

  Returns:
    the input stream of the XML view

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.